| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IMonitorSvc Class Reference

`#include <GaudiKernel/IMonitorSvc.h>`

Inheritance diagram for IMonitorSvc:

[legend]
Collaboration diagram for IMonitorSvc:

[legend]
List of all members.

## Detailed Description

Definition of the IMonitorSvc interface, which publishes Gaudi variables to outside monitoring processes.

Author:
  Philippe Vannerem

  Pere Mato

Definition at line 23 of file IMonitorSvc.h.

## Public Member Functions
virtual void | declareInfo (const std::string &name, const bool &var, const std::string &desc, const IInterface *owner)=0
| Declare monitoring information.
virtual void | declareInfo (const std::string &name, const int &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const long &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const double &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::string &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::pair< double, double > &var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const AIDA::IBaseHistogram *var, const std::string &desc, const IInterface *owner)=0
virtual void | declareInfo (const std::string &name, const std::string &format, const void *var, int size, const std::string &desc, const IInterface *owner)=0
virtual void | undeclareInfo (const std::string &name, const IInterface *owner)=0
| Undeclare monitoring information.
virtual void | undeclareAll (const IInterface *owner)=0
| Undeclare monitoring information.
virtual std::set< std::string > * | getInfos (const IInterface *owner=0)=0
| Get the names for all declared monitoring informations for a given owener.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IMonitorSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 26 of file IMonitorSvc.h.

References IID_IMonitorSvc.

Referenced by AlgTool::monitorSvc(), and Algorithm::monitorSvc().

    00026 { return IID_IMonitorSvc; }

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const bool & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Declare monitoring information.

Parameters:

  | name | Monitoring information name knwon to the external system
  | var | Monitoring Listener address
  | desc | Textual description
  | owner | Owner identifier of the monitoring information (needed to peform clean up

Implemented in DataListenerSvc.

Referenced by AlgTool::declareInfo(), and Algorithm::declareInfo().

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const int & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const long & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const double & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::string & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::pair< double, double > & | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const AIDA::IBaseHistogram * | var,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::declareInfo | ( | const std::string & | name,
|  | const std::string & | format,
|  | const void * | var,
|  | int | size,
|  | const std::string & | desc,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Implemented in DataListenerSvc.

virtual void IMonitorSvc::undeclareInfo | ( | const std::string & | name,
|  | const IInterface * | owner |
| ) |  |  | `[pure virtual]`

Undeclare monitoring information.

Parameters:

  | name | Monitoring information name knwon to the external system
  | owner | Owner identifier of the monitoring information

Implemented in DataListenerSvc.

virtual void IMonitorSvc::undeclareAll | ( | const IInterface * | owner | ) | `[pure virtual]`

Undeclare monitoring information.

Parameters:

  | owner | Owner identifier of the monitoring information

Implemented in DataListenerSvc.

Referenced by Algorithm::~Algorithm(), and AlgTool::~AlgTool().

virtual std::set<std::string>* IMonitorSvc::getInfos | ( | const IInterface * | owner = `0` | ) | `[pure virtual]`

Get the names for all declared monitoring informations for a given owener.

If the owner is NULL, then it returns for all owners informationUndeclare monitoring information

Implemented in DataListenerSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IMonitorSvc.h